Bug 1730747 - pcs rebase bug for 7.8
Summary: pcs rebase bug for 7.8
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 7.8
Assignee: Ivan Devat
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 14:09 UTC by Tomas Jelinek
Modified: 2020-01-17 10:08 UTC (History)
6 users (show)

Fixed In Version: pcs-0.9.168-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Tomas Jelinek 2019-07-17 14:09:15 UTC
pcs rebase bug for 7.8
We are still following pcs-0.9 branch.

Comment 3 Ivan Devat 2019-08-05 11:29:15 UTC
[0.9.168] - 2019-08-02
Added

    It is now possible to disable pcsd SSL certificate being synced across the cluster during creating new cluster and adding a node to an existing cluster by setting PCSD_SSL_CERT_SYNC_ENABLED to false in pcsd config file (rhbz#1665898)
    Length of DH key for SSL key exchange can be set in pcsd config file
    pcs status now shows failed and pending fencing actions and pcs status --full shows the whole fencing history. Pacemaker supporting fencing history is required. (rhbz#1466088)
    pcs stonith history commands for displaying, synchronizing and cleaning up fencing history. Pacemaker supporting fencing history is required. (rhbz#1595444)
    Support for clearing expired moves and bans of resources (rhbz#1673829)
    HSTS is now enabled in pcsd (rhbz#1558063)

Fixed

    Pcs works even when PATH environment variable is not set (rhbz#1671174)
    Fixed several "Unknown report" error messages
    Improved validation of qdevice heuristics exec options (rhbz#1551663)
    Fixed crashes in the pcs cluster auth command (rhbz#1676956)
    Pcs does not crash due to unhandled LibraryError exceptions (rhbz#1710750)
    pcs config restore does not fail with "Invalid cross-device link" error any more (rhbz#1712315)
    Fixed id conflict with current bundle configuration in pcs resource bundle reset (rhbz#1725849)
    Standby nodes running resources are listed separately in pcs status nodes (rhbz#1619253)
    Parsing arguments in the pcs constraint order and pcs constraint colocation add commands has been improved, errors which were previously silent are now reported (rhbz#1500012)

Changed

Command pcs resource bundle reset no longer accepts the container type (rhbz#1598197)


Note You need to log in before you can comment on or make changes to this bug.